Subject: Re: [bug#37589] [PATCH] gnu: Add xfce-goodies

From: Danny Milosavljevic <[email-masked]>
Date: Wed, 2 Oct 2019 21:09:57 +0200

Hi Ingo,

wow, cool!

A few nitpicks below:

> +    (description "Equake is a panel plugin for the XFCE desktop
> +environment. It is based on the GNOME applet of the same name and was
> +ported to XFCE starting with v1.03. Equake monitors earthquakes and
> +will display an update each time a new earthquake occurs.")

Please use two spaces to separate sentences: "environment.  It" ...

> +2.4's (at least 2.4.20 compiled with CONFIG_BLK_STATS turned on, or

Maybe @code{CONFIG_BLK_STATS}.

> +possibly older kernel patched with \"Disk extended statistics\" in
> +/proc/partitions),or with NetBSD, based on the dk_rbytes and db_wbytes

Similar: @file{/proc/partitions}, @code{dk_rbytes} and @code{db_wbytes}.

> +values provided by the hw.diskstats sysctl (see iostat for details).")

Similar @code{hw.diskstats}

> +(define-public xfce4-embed-plugin
> +       ("gtk+-2" ,gtk+-2)))

What's the deal with sometimes requiring gtk 2 and sometimes gtk 3?

> +multi-mailbox mail watcher. Currently, the protocols supported are:

Please use @itemize for the unordered list.

> +1) System-defined directories (home folder, trash, desktop, file system)

Please use @enumerate for ordered lists

> +
> +2) Removable media (using thunar-vfs)

[...]

If possible, please make one commit per package added.  It's easier for people
auditing the stuff in the commit log later.